import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhFormCommunication {
    render() {
        return (h("div", { class: "form_bckgrnd" },
            h("s-abdullakh-form-close", null),
            h("div", { class: "form_position" },
                h("div", { class: "formBlock" },
                    h(Form, { arr: this.formCommunication.formInterviewText })))));
    }
    static get is() { return "s-abdullakh-form-communication"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-form-communication.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-form-communication.css"]
    }; }
    static get properties() { return {
        "formCommunication": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u0434\u0430\u043D\u043D\u044B\u0435 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 FormCommunication"
            },
            "attribute": "form-communication",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "closeForm",
            "name": "closeForm",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u0417\u0430\u043A\u0440\u044B\u0442\u0438\u0435 \u043C\u043E\u0434\u0430\u043B\u044C\u043D\u043E\u0433\u043E \u043E\u043A\u043D\u0430 \u0444\u043E\u0440\u043C\u044B"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода элементов меню
 */
const Form = (props) => {
    return props.arr.map((item) => {
        return (h("s-abdullakh-form", { arr: item }));
    });
};
