import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhTransitionCreateBotTitle {
    render() {
        /**
         * вызов функции анимации блока transitionCreateBotImg при скроле
         * */
        // this.scrollX()
        return (h("div", { class: "transitionCreateBotImgPosition" },
            h("div", { class: "transitionCreateBotImg", id: "transitionCreateBotImg", style: { backgroundImage: "url(" + this.arr.imgUrl + ")" }, onClick: () => this.clickOnTransitionCreateBot.emit(this.arr.imgUrl), ref: (el) => this.creatBotImg = el }),
            h("div", { class: "transitionCreateBotTitleBlock" },
                h("div", { class: "transitionCreateBotTitle", innerHTML: this.arr.title, onClick: () => this.clickOnTransitionCreateBot.emit(this.arr.title) }))));
    }
    static get is() { return "s-abdullakh-transition-create-bot-title"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-transition-create-bot-title.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-transition-create-bot-title.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u0434\u043B\u044F \u0432\u044B\u0432\u043E\u0434\u0430 \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u043E\u0432 \u043F\u043E\u0434\u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 TransitionCreateBotTitle \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 TransitionCreateBot"
            },
            "attribute": "arr",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnTransitionCreateBot",
            "name": "clickOnTransitionCreateBot",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 TransitionCreateBot"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
window.addEventListener("wheel", () => {
    yScrollConsultant(document.documentElement.clientWidth);
    console.log(window.scrollY);
    function yScrollConsultant(x) {
        let gear = window.scrollY;
        if (x > 995) {
            scroll1200Width(gear);
        }
        else if (x > 768) {
            scroll992Width(gear);
        }
        else if (x < 768) {
            scroll768Width(gear);
        }
        /**
         *функция анимации для экранов шириной до 995px
         **/
        function scroll1200Width(x) {
            // let trans = document.getElementById('transitionCreateBotImg').style.transform
            // let _52 = document.getElementById('transitionCreateBotImg').style.transform = "translateX(-52%)"
            // let _39 = document.getElementById('transitionCreateBotImg').style.transform = "translateX(-39%)"
            // let _33 = document.getElementById('transitionCreateBotImg').style.transform = "translateX(-33%)"
            // let _26 = document.getElementById('transitionCreateBotImg').style.transform = "translateX(-26%)"
            // let _19 = document.getElementById('transitionCreateBotImg').style.transform = "translateX(-19%)"
            // let _13 = document.getElementById('transitionCreateBotImg').style.transform = "translateX(-13%)"
            // let _6 = document.getElementById('transitionCreateBotImg').style.transform = "translateX(-6%)"
            // let _0 = document.getElementById('transitionCreateBotImg').style.transform = "translateX(0%)"
            if (x < 900) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-110%)";
            }
            else if (x < 950) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-100%)";
            }
            else if (x < 1000) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-90%)";
            }
            else if (x < 1050) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-80%)";
            }
            else if (x < 1100) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-70%)";
            }
            else if (x < 1150) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-60%)";
            }
            else if (x < 1200) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-50%)";
            }
            else if (x < 1250) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-40%)";
            }
            else if (x < 1300) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-30%)";
            }
            else if (x < 1350) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-20%)";
            }
            else if (x < 1400) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-10%)";
            }
            else if (x < 1450) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(0%)";
            }
            else if (x < 1500) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(0%)";
            }
        }
        /**
         *функция анимации для экранов шириной до 768px
         **/
        function scroll992Width(x) {
            if (x < 1100) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-100%)";
            }
            else if (x < 1150) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-90%)";
            }
            else if (x < 1200) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-80%)";
            }
            else if (x < 1250) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-70%)";
            }
            else if (x < 1300) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-60%)";
            }
            else if (x < 1350) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-50%)";
            }
            else if (x < 1400) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-40%)";
            }
            else if (x < 1450) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-30%)";
            }
            else if (x < 1500) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-20%)";
            }
            else if (x < 1550) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-10%)";
            }
            else if (x < 1600) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(0%)";
            }
            else if (x < 1650) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(0%)";
            }
        }
        /**
         *функция анимации для экранов шириной от 768px
         **/
        function scroll768Width(x) {
            if (x < 1950) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-100%)";
            }
            else if (x < 1985) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-90%)";
            }
            else if (x < 2020) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-80%)";
            }
            else if (x < 2055) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-70%)";
            }
            else if (x < 2090) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-60%)";
            }
            else if (x < 2125) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-50%)";
            }
            else if (x < 2160) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-40%)";
            }
            else if (x < 2195) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-30%)";
            }
            else if (x < 2230) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-20%)";
            }
            else if (x < 2265) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(-10%)";
            }
            else if (x < 2300) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(0%)";
            }
            else if (x < 2335) {
                return document.getElementById('transitionCreateBotImg').style.transform = "translateX(0%)";
            }
        }
    }
});
